---
title: llarp::hooks::IBackend
summary: base type for event hook handlers 

---

# llarp::hooks::IBackend



base type for event hook handlers 


`#include <ihook.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IBackend](Classes/structllarp_1_1hooks_1_1IBackend.md#function-~ibackend)**() =0 |
| virtual void | **[NotifyAsync](Classes/structllarp_1_1hooks_1_1IBackend.md#function-notifyasync)**(std::unordered_map< std::string, std::string > params) =0 |
| virtual bool | **[Start](Classes/structllarp_1_1hooks_1_1IBackend.md#function-start)**() =0<br>start backend  |
| virtual bool | **[Stop](Classes/structllarp_1_1hooks_1_1IBackend.md#function-stop)**() =0<br>stop backend  |

## Public Functions Documentation

### function ~IBackend

```cpp
inline virtual ~IBackend() =0
```


### function NotifyAsync

```cpp
virtual void NotifyAsync(
    std::unordered_map< std::string, std::string > params
) =0
```


### function Start

```cpp
virtual bool Start() =0
```

start backend 

### function Stop

```cpp
virtual bool Stop() =0
```

stop backend 

-------------------------------

Updated on 2022-04-18 at 19:54:45 +0000